预警 | Linux 爆 TCP “SACK Panic” 漏洞!N 家中招:AWS、阿里云、腾讯云、华为云、RedHat等

为促进社区发展,运维派寻求战略合作、赞助、投资,请联系微信:helloywp

Netflix 发现发现Linux和FreeBSD内核TCP堆栈中存在多个“严重”全漏洞,可导致服务器宕机。

生产环境大量使用linux计算机的组织,需要紧急修补新多个补丁,以便阻止远程攻击导致系统崩毁。有三个缺陷影响Linux内核处理TCP网络的方式,一个影响FreeBSD TCP堆栈。

CVE-2019-11477 是最严重的四个缺陷,被称作 “SACK panic”,即Linux内核的TCP选择性确认(TCP SelectiveAcknowledgement 简称SACK)功能。

远程攻击者可以利用这个漏洞来触发可能导致计算机崩溃的内核错误(Kernel panic),进而引起拒绝服务。波及Linux内核版本2.6.29以及高于2.6.29以上版本。

Netflix 把BUG的细节建议发布在Github上,并将它们定性为极其严重漏洞。红帽(RedHat)自己评定SACK Panic为严重,而剩余的错误被认为是“中等”。

但是,如果远程攻击者能攻陷托管在亚马逊云(AWS)基础设施上的流媒体巨人的Linux主机,网飞对这些BUG的严重评级是很中肯的。

(AWS官网)

在这方面,AWS已发布三个修补这些Linux BUG的更新(),AWS Elastic Beanstalk,AmazonLinux,基于Linux的EC2实例,Amazon Linux WorkSpaces和Amazon的Kubernetes容器服务将受到这些BUG的影响。

一些服务,如Amazon ElasticCache如果使用默认配置将不会中招,但如果用户更改了默认配置,将会受到影响。

其他几个BUG,包含CVE-2019011478又名SACK Slowness,波及低于4.15版本的linux内核的系统; FreeBSD12受到另一个SACK Slowness漏洞CVE-2019-5599影响; CVE-2019-11479会导致系统过多资源消耗。

这三个linux缺陷和内核如何处理具有低值的最大报文段长度(MSS)的TCP SACK数据包相关,并受其影响。 RedHat在其公告中指出,影响仅限于“此时”的拒绝服务,并且不能用于泄露信息的提权。

SACK 是一种用于改善发送者和接受者之间的TCP丢包而引起的网络低效问题的机制。

起草SACK的IETF标准的工程师们解释说:“当一个数据窗口丢失多个数据包时,TCP可能会遇到性能问题。由于累积确认可用的信息受限,TCP发送方只能一个周期中只能知道一个丢包。主动发送可以选择提前重新发送数据包,但是这些重新发送的段可能已经被成功接收。

“选择性确认(SACK)机制与选择性重复重传策略相结合,可以帮助克服这些限制。接收TCP将SACK数据包发送回发送方,通知发送方已收到的数据。发送方只用重发丢失的数据段“。

据RedHat称,由于Linux TCP实现中使用的数据结构称为套接字缓冲区(SKB),该数据结构能够容最多17个分组数据片段,可能引发系统崩溃。

一旦SKB达到上限,结果可能导致内核错误(Kernel panic)事件。另外一个因素是最大报文段长度(MSS),或是指定最大承载数据的数量最大尺寸参数它指定重构TCP段中包含的数据总量。或者是最大承载数据数量的最大尺寸参数,此参数用于用于指定重构的TCP段中包含的数据总量。

RedHat解释道,“远程用户可以通过将TCP连接的最大报文段长度(MSS)设置为48字节的最低限制并发送一系列特制的SACK数据包来触发此问题。最低MSS每段只留下8个字节的数据,因此可以增加发送所有数据所需的TCP段数。“

修复公告:

到目前为止 Red Hat,Amazon Web Services,SUSE,grsecurity,阿里云,腾讯云,华为云等官方发布公告。(修复方法,详细阅读各商家发布公告)

(阿里云)

2019年6月18日,阿里云应急响应中心监控到国外某安全研究组织披露Linux 内核TCP SACK机制存在缺陷,可导致远程拒绝服务。CVE编号为CVE-2019-11477、CVE-2019-11478和CVE-2019-11479。

漏洞描述

Linux 内核2.6.29及之后版本在处理TCP SACK机制时存在缺陷,导致整数溢出漏洞,攻击者可以构造特定的SACK包,远程触发Linux服务器内核模块溢出漏洞,实现远程拒绝服务攻击。

漏洞评级

CVE-2019-11477 高危

CVE-2019-11478 中危

CVE-2019-11479 中危

(腾讯云)

(华为云)

Red Hat:

https://access.redhat.com/security/vulnerabilities/tcpsack

AWS:

https://aws.amazon.com/cn/security/security-bulletins/AWS-2019-005/?nc1=h_ls

SUSE:

https://www.suse.com/de-de/support/kb/doc/?id=7023928

grsecurity:

https://seclists.org/oss-sec/2019/q2/182

阿里云:

https://help.aliyun.com/noticelist/articleid/1060012493.html?spm=a2c4g.789004748.n2.7.15386141GM8Eyl

腾讯云:

https://cloud.tencent.com/announce/detail/622

华为云:

https://www.huaweicloud.com/notice/2018/20190619122553544.html

参考链接:

https://github.com/Netflix/security-bulletins/blob/master/advisories/third-party/2019-001.md
https://www.zdnet.com/google-amp/article/netflix-to-linux-users-patch-sack-panic-kernel-bug-now-to-stop-remote-attacks/

网友评论comments

发表评论

电子邮件地址不会被公开。 必填项已用*标注

暂无评论

Copyright © 2012-2019 YUNWEIPAI.COM - 运维派 - 粤ICP备14090526号-3
扫二维码
扫二维码
返回顶部